Subject: Re: semicolon colon separated env vars to unix and viceversa
From: "Enrico Spinielli" <[email-masked]>
To: "Pavel Tsekov <ptsekov" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Thu, 8 Nov 2001 19:13:10 +0100

On 08/11/2001 18.54.42 ptsekov wrote:
>
> Ciao, Enrico
>
> You can try the "cygpath" utility to perform this task.
>

That is exactly what I did, but I had to decompose the
list of path before using it...

> Enrico Spinielli wrote:
> >
> > Hi,
> > I wanted to transform my CLASSPATH env var settings (yes, I
> > am using Java :-) from Windows format (semicoln-separated
> > list of win paths) to Unix format (colon separated list of
> > unix paths) and here is an excerpt of the script I have written:
> >      #!/bin/bash
> >      # change an env var from Windows format (semicolon separated)
> >      # to Unix format (colon separated)
> >      IFS=@
> >      for i in ${1//;/@}
> >      do
> >           a=${a}:$(cygpath -u $i)
> >      done
> >      echo $a
> >
> > This works fine but I am wondering if there is something else
> > given that PATH is automatically converted by cygwin...
> >
> > Any idea?
> > bye
> > Enrico

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/